Changeset 3674002


Ignore:
Timestamp:
Mar 29, 2009, 12:03:53 PM (12 years ago)
Author:
James M. Kretchmar <kretch@mit.edu>
Branches:
owl
Children:
01dcae5
Parents:
73d8a88
Message:
bump to 2.2.0-pre1
take glib
take printallvars from barnowl
Files:
5 edited

Legend:

Unmodified
Added
Removed
  • ChangeLog

    rc34d788 r3674002  
    11$Id$
    22
    3 2.1.12
     32.2.0-pre-1
    44        Don't crash on mobile device AIM messages [BZ 20]
    55        Don't crash when sending to someone not on AIM buddy list [BZ 94]
     
    3737        Debian backports
    3838        Change license to GPLv3
     39        general sprintf cleanup
    3940
    40412.1.11
  • config.h.in

    rdab82f29 r3674002  
    1 /* config.h.in.  Generated automatically from configure.in by autoheader.  */
     1/* config.h.in.  Generated from configure.in by autoheader.  */
    22
    3 /* Define if you have <sys/wait.h> that is POSIX.1 compatible.  */
    4 #undef HAVE_SYS_WAIT_H
    5 
    6 /* Define if you have the ANSI C header files.  */
    7 #undef STDC_HEADERS
    8 
    9 /* Define if you have the <strings.h> header file.  */
    10 #undef HAVE_STRINGS_H
    11 
    12 /* Define if you have the <sys/ioctl.h> header file.  */
    13 #undef HAVE_SYS_IOCTL_H
    14 
    15 /* Define if you have the <unistd.h> header file.  */
    16 #undef HAVE_UNISTD_H
    17 
     3/* Define to 1 if you have the <com_err.h> header file. */
    184#undef HAVE_COM_ERR_H
    195
    20 #undef HAVE_SYS_FILIO_H
     6/* Define to 1 if you have the `des_ecb_encrypt' function. */
     7#undef HAVE_DES_ECB_ENCRYPT
    218
    22 /* Define if you have the com_err library (-lcom_err).  */
     9/* have proto for des_ecb_encrypt */
     10#undef HAVE_DES_ECB_ENCRYPT_PROTO
     11
     12/* Define to 1 if you have the `des_key_sched' function. */
     13#undef HAVE_DES_KEY_SCHED
     14
     15/* Define to 1 if you have the `des_string_to_key' function. */
     16#undef HAVE_DES_STRING_TO_KEY
     17
     18/* Define to 1 if you have the <inttypes.h> header file. */
     19#undef HAVE_INTTYPES_H
     20
     21/* Define to 1 if you have the `com_err' library (-lcom_err). */
    2322#undef HAVE_LIBCOM_ERR
    2423
    25 /* Define if you have the des425 library (-ldes425).  */
     24/* Define to 1 if you have the `curses' library (-lcurses). */
     25#undef HAVE_LIBCURSES
     26
     27/* Define to 1 if you have the `des425' library (-ldes425). */
    2628#undef HAVE_LIBDES425
    2729
    28 /* Define if you have the k5crypto library (-lk5crypto). */
     30/* Define to 1 if you have the `k5crypto' library (-lk5crypto). */
    2931#undef HAVE_LIBK5CRYPTO
    3032
    31 /* Define if you have the krb4 library (-lkrb4).  */
     33/* Define to 1 if you have the `krb' library (-lkrb). */
     34#undef HAVE_LIBKRB
     35
     36/* Define to 1 if you have the `krb4' library (-lkrb4). */
    3237#undef HAVE_LIBKRB4
    3338
    34 /* Define if you have the krb5 library (-lkrb5). */
     39/* Define to 1 if you have the `krb5' library (-lkrb5). */
    3540#undef HAVE_LIBKRB5
    3641
    37 /* Define if you have the ncurses library (-lncurses). */
     42/* Define to 1 if you have the `ncurses' library (-lncurses). */
    3843#undef HAVE_LIBNCURSES
    3944
    40 /* Define if you have the nsl library (-lnsl). */
     45/* Define to 1 if you have the `nsl' library (-lnsl). */
    4146#undef HAVE_LIBNSL
    4247
    43 /* Define if you have the socket library (-lsocket).  */
     48/* Define to 1 if you have the `resolv' library (-lresolv). */
     49#undef HAVE_LIBRESOLV
     50
     51/* Define to 1 if you have the `socket' library (-lsocket). */
    4452#undef HAVE_LIBSOCKET
    4553
    46 /* Define if you have the zephyr library (-lzephyr).  */
     54/* Define to 1 if you have the `ssp' library (-lssp). */
     55#undef HAVE_LIBSSP
     56
     57/* Define to 1 if you have the `zephyr' library (-lzephyr). */
    4758#undef HAVE_LIBZEPHYR
    4859
    49 /* Define if libzephyr contains ZInitLocationInfo */
     60/* Have ZInitLocationInfo */
    5061#undef HAVE_LIBZEPHYR_ZINITLOCATIONINFO
    5162
    52 #undef HAVE_USE_DEFAULT_COLORS
    53 
    54 #undef HAVE_DES_STRING_TO_KEY
    55 
    56 #undef HAVE_DES_KEY_SCHED
    57 
    58 #undef HAVE_DES_ECB_ENCRYPT
    59 
    60 #undef HAVE_DES_ECB_ENCRYPT_PROTO
    61 
    62 #undef TERMINFO
     63/* Define to 1 if you have the <memory.h> header file. */
     64#undef HAVE_MEMORY_H
    6365
    6466/* Define to 1 if you have the `resizeterm' function. */
    6567#undef HAVE_RESIZETERM
    6668
     69/* Define to 1 if you have the <stdint.h> header file. */
     70#undef HAVE_STDINT_H
     71
     72/* Define to 1 if you have the <stdlib.h> header file. */
     73#undef HAVE_STDLIB_H
     74
     75/* Define to 1 if you have the <strings.h> header file. */
     76#undef HAVE_STRINGS_H
     77
     78/* Define to 1 if you have the <string.h> header file. */
     79#undef HAVE_STRING_H
     80
     81/* Define to 1 if you have the <sys/filio.h> header file. */
     82#undef HAVE_SYS_FILIO_H
     83
     84/* Define to 1 if you have the <sys/ioctl.h> header file. */
     85#undef HAVE_SYS_IOCTL_H
     86
     87/* Define to 1 if you have the <sys/stat.h> header file. */
     88#undef HAVE_SYS_STAT_H
     89
     90/* Define to 1 if you have the <sys/types.h> header file. */
     91#undef HAVE_SYS_TYPES_H
     92
     93/* Define to 1 if you have <sys/wait.h> that is POSIX.1 compatible. */
     94#undef HAVE_SYS_WAIT_H
     95
     96/* Define to 1 if you have the <unistd.h> header file. */
     97#undef HAVE_UNISTD_H
     98
     99/* Define to 1 if you have the `use_default_colors' function. */
     100#undef HAVE_USE_DEFAULT_COLORS
     101
     102/* Define to the address where bug reports for this package should be sent. */
     103#undef PACKAGE_BUGREPORT
     104
     105/* Define to the full name of this package. */
     106#undef PACKAGE_NAME
     107
     108/* Define to the full name and version of this package. */
     109#undef PACKAGE_STRING
     110
     111/* Define to the one symbol short name of this package. */
     112#undef PACKAGE_TARNAME
     113
     114/* Define to the version of this package. */
     115#undef PACKAGE_VERSION
     116
     117/* Define to 1 if you have the ANSI C header files. */
     118#undef STDC_HEADERS
     119
     120/* Have terminfo */
     121#undef TERMINFO
  • configure

    rdab82f29 r3674002  
    661661GREP
    662662EGREP
     663PKG_CONFIG
     664GLIB_CFLAGS
     665GLIB_LIBS
    663666XSUBPPDIR
    664667INSTALL_PROGRAM
     
    677680LIBS
    678681CPPFLAGS
    679 CPP'
     682CPP
     683PKG_CONFIG
     684GLIB_CFLAGS
     685GLIB_LIBS'
    680686ac_subdirs_all='libfaim'
    681687
     
    12521258              you have headers in a nonstandard directory <include dir>
    12531259  CPP         C preprocessor
     1260  PKG_CONFIG  path to pkg-config utility
     1261  GLIB_CFLAGS C compiler flags for GLIB, overriding pkg-config
     1262  GLIB_LIBS   linker flags for GLIB, overriding pkg-config
    12541263
    12551264Use these variables to override the choices made by `configure' or to help
     
    46754684done
    46764685
     4686
     4687
     4688
     4689if test "x$ac_cv_env_PKG_CONFIG_set" != "xset"; then
     4690        if test -n "$ac_tool_prefix"; then
     4691  # Extract the first word of "${ac_tool_prefix}pkg-config", so it can be a program name with args.
     4692set dummy ${ac_tool_prefix}pkg-config; ac_word=$2
     4693{ echo "$as_me:$LINENO: checking for $ac_word" >&5
     4694echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6; }
     4695if test "${ac_cv_path_PKG_CONFIG+set}" = set; then
     4696  echo $ECHO_N "(cached) $ECHO_C" >&6
     4697else
     4698  case $PKG_CONFIG in
     4699  [\\/]* | ?:[\\/]*)
     4700  ac_cv_path_PKG_CONFIG="$PKG_CONFIG" # Let the user override the test with a path.
     4701  ;;
     4702  *)
     4703  as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
     4704for as_dir in $PATH
     4705do
     4706  IFS=$as_save_IFS
     4707  test -z "$as_dir" && as_dir=.
     4708  for ac_exec_ext in '' $ac_executable_extensions; do
     4709  if { test -f "$as_dir/$ac_word$ac_exec_ext" && $as_test_x "$as_dir/$ac_word$ac_exec_ext"; }; then
     4710    ac_cv_path_PKG_CONFIG="$as_dir/$ac_word$ac_exec_ext"
     4711    echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
     4712    break 2
     4713  fi
     4714done
     4715done
     4716IFS=$as_save_IFS
     4717
     4718  ;;
     4719esac
     4720fi
     4721PKG_CONFIG=$ac_cv_path_PKG_CONFIG
     4722if test -n "$PKG_CONFIG"; then
     4723  { echo "$as_me:$LINENO: result: $PKG_CONFIG" >&5
     4724echo "${ECHO_T}$PKG_CONFIG" >&6; }
     4725else
     4726  { echo "$as_me:$LINENO: result: no" >&5
     4727echo "${ECHO_T}no" >&6; }
     4728fi
     4729
     4730
     4731fi
     4732if test -z "$ac_cv_path_PKG_CONFIG"; then
     4733  ac_pt_PKG_CONFIG=$PKG_CONFIG
     4734  # Extract the first word of "pkg-config", so it can be a program name with args.
     4735set dummy pkg-config; ac_word=$2
     4736{ echo "$as_me:$LINENO: checking for $ac_word" >&5
     4737echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6; }
     4738if test "${ac_cv_path_ac_pt_PKG_CONFIG+set}" = set; then
     4739  echo $ECHO_N "(cached) $ECHO_C" >&6
     4740else
     4741  case $ac_pt_PKG_CONFIG in
     4742  [\\/]* | ?:[\\/]*)
     4743  ac_cv_path_ac_pt_PKG_CONFIG="$ac_pt_PKG_CONFIG" # Let the user override the test with a path.
     4744  ;;
     4745  *)
     4746  as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
     4747for as_dir in $PATH
     4748do
     4749  IFS=$as_save_IFS
     4750  test -z "$as_dir" && as_dir=.
     4751  for ac_exec_ext in '' $ac_executable_extensions; do
     4752  if { test -f "$as_dir/$ac_word$ac_exec_ext" && $as_test_x "$as_dir/$ac_word$ac_exec_ext"; }; then
     4753    ac_cv_path_ac_pt_PKG_CONFIG="$as_dir/$ac_word$ac_exec_ext"
     4754    echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
     4755    break 2
     4756  fi
     4757done
     4758done
     4759IFS=$as_save_IFS
     4760
     4761  ;;
     4762esac
     4763fi
     4764ac_pt_PKG_CONFIG=$ac_cv_path_ac_pt_PKG_CONFIG
     4765if test -n "$ac_pt_PKG_CONFIG"; then
     4766  { echo "$as_me:$LINENO: result: $ac_pt_PKG_CONFIG" >&5
     4767echo "${ECHO_T}$ac_pt_PKG_CONFIG" >&6; }
     4768else
     4769  { echo "$as_me:$LINENO: result: no" >&5
     4770echo "${ECHO_T}no" >&6; }
     4771fi
     4772
     4773  if test "x$ac_pt_PKG_CONFIG" = x; then
     4774    PKG_CONFIG=""
     4775  else
     4776    case $cross_compiling:$ac_tool_warned in
     4777yes:)
     4778{ echo "$as_me:$LINENO: WARNING: In the future, Autoconf will not detect cross-tools
     4779whose name does not start with the host triplet.  If you think this
     4780configuration is useful to you, please write to autoconf@gnu.org." >&5
     4781echo "$as_me: WARNING: In the future, Autoconf will not detect cross-tools
     4782whose name does not start with the host triplet.  If you think this
     4783configuration is useful to you, please write to autoconf@gnu.org." >&2;}
     4784ac_tool_warned=yes ;;
     4785esac
     4786    PKG_CONFIG=$ac_pt_PKG_CONFIG
     4787  fi
     4788else
     4789  PKG_CONFIG="$ac_cv_path_PKG_CONFIG"
     4790fi
     4791
     4792fi
     4793if test -n "$PKG_CONFIG"; then
     4794        _pkg_min_version=0.9.0
     4795        { echo "$as_me:$LINENO: checking pkg-config is at least version $_pkg_min_version" >&5
     4796echo $ECHO_N "checking pkg-config is at least version $_pkg_min_version... $ECHO_C" >&6; }
     4797        if $PKG_CONFIG --atleast-pkgconfig-version $_pkg_min_version; then
     4798                { echo "$as_me:$LINENO: result: yes" >&5
     4799echo "${ECHO_T}yes" >&6; }
     4800        else
     4801                { echo "$as_me:$LINENO: result: no" >&5
     4802echo "${ECHO_T}no" >&6; }
     4803                PKG_CONFIG=""
     4804        fi
     4805
     4806fi
     4807
     4808pkg_failed=no
     4809{ echo "$as_me:$LINENO: checking for GLIB" >&5
     4810echo $ECHO_N "checking for GLIB... $ECHO_C" >&6; }
     4811
     4812if test -n "$PKG_CONFIG"; then
     4813    if test -n "$GLIB_CFLAGS"; then
     4814        pkg_cv_GLIB_CFLAGS="$GLIB_CFLAGS"
     4815    else
     4816        if test -n "$PKG_CONFIG" && \
     4817    { (echo "$as_me:$LINENO: \$PKG_CONFIG --exists --print-errors \"glib-2.0\"") >&5
     4818  ($PKG_CONFIG --exists --print-errors "glib-2.0") 2>&5
     4819  ac_status=$?
     4820  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     4821  (exit $ac_status); }; then
     4822  pkg_cv_GLIB_CFLAGS=`$PKG_CONFIG --cflags "glib-2.0" 2>/dev/null`
     4823else
     4824  pkg_failed=yes
     4825fi
     4826    fi
     4827else
     4828        pkg_failed=untried
     4829fi
     4830if test -n "$PKG_CONFIG"; then
     4831    if test -n "$GLIB_LIBS"; then
     4832        pkg_cv_GLIB_LIBS="$GLIB_LIBS"
     4833    else
     4834        if test -n "$PKG_CONFIG" && \
     4835    { (echo "$as_me:$LINENO: \$PKG_CONFIG --exists --print-errors \"glib-2.0\"") >&5
     4836  ($PKG_CONFIG --exists --print-errors "glib-2.0") 2>&5
     4837  ac_status=$?
     4838  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     4839  (exit $ac_status); }; then
     4840  pkg_cv_GLIB_LIBS=`$PKG_CONFIG --libs "glib-2.0" 2>/dev/null`
     4841else
     4842  pkg_failed=yes
     4843fi
     4844    fi
     4845else
     4846        pkg_failed=untried
     4847fi
     4848
     4849
     4850
     4851if test $pkg_failed = yes; then
     4852
     4853if $PKG_CONFIG --atleast-pkgconfig-version 0.20; then
     4854        _pkg_short_errors_supported=yes
     4855else
     4856        _pkg_short_errors_supported=no
     4857fi
     4858        if test $_pkg_short_errors_supported = yes; then
     4859                GLIB_PKG_ERRORS=`$PKG_CONFIG --short-errors --errors-to-stdout --print-errors "glib-2.0"`
     4860        else
     4861                GLIB_PKG_ERRORS=`$PKG_CONFIG --errors-to-stdout --print-errors "glib-2.0"`
     4862        fi
     4863        # Put the nasty error message in config.log where it belongs
     4864        echo "$GLIB_PKG_ERRORS" >&5
     4865
     4866        { { echo "$as_me:$LINENO: error: Package requirements (glib-2.0) were not met:
     4867
     4868$GLIB_PKG_ERRORS
     4869
     4870Consider adjusting the PKG_CONFIG_PATH environment variable if you
     4871installed software in a non-standard prefix.
     4872
     4873Alternatively, you may set the environment variables GLIB_CFLAGS
     4874and GLIB_LIBS to avoid the need to call pkg-config.
     4875See the pkg-config man page for more details.
     4876" >&5
     4877echo "$as_me: error: Package requirements (glib-2.0) were not met:
     4878
     4879$GLIB_PKG_ERRORS
     4880
     4881Consider adjusting the PKG_CONFIG_PATH environment variable if you
     4882installed software in a non-standard prefix.
     4883
     4884Alternatively, you may set the environment variables GLIB_CFLAGS
     4885and GLIB_LIBS to avoid the need to call pkg-config.
     4886See the pkg-config man page for more details.
     4887" >&2;}
     4888   { (exit 1); exit 1; }; }
     4889elif test $pkg_failed = untried; then
     4890        { { echo "$as_me:$LINENO: error: The pkg-config script could not be found or is too old.  Make sure it
     4891is in your PATH or set the PKG_CONFIG environment variable to the full
     4892path to pkg-config.
     4893
     4894Alternatively, you may set the environment variables GLIB_CFLAGS
     4895and GLIB_LIBS to avoid the need to call pkg-config.
     4896See the pkg-config man page for more details.
     4897
     4898To get pkg-config, see <http://www.freedesktop.org/software/pkgconfig>.
     4899See \`config.log' for more details." >&5
     4900echo "$as_me: error: The pkg-config script could not be found or is too old.  Make sure it
     4901is in your PATH or set the PKG_CONFIG environment variable to the full
     4902path to pkg-config.
     4903
     4904Alternatively, you may set the environment variables GLIB_CFLAGS
     4905and GLIB_LIBS to avoid the need to call pkg-config.
     4906See the pkg-config man page for more details.
     4907
     4908To get pkg-config, see <http://www.freedesktop.org/software/pkgconfig>.
     4909See \`config.log' for more details." >&2;}
     4910   { (exit 1); exit 1; }; }
     4911else
     4912        GLIB_CFLAGS=$pkg_cv_GLIB_CFLAGS
     4913        GLIB_LIBS=$pkg_cv_GLIB_LIBS
     4914        { echo "$as_me:$LINENO: result: yes" >&5
     4915echo "${ECHO_T}yes" >&6; }
     4916        :
     4917fi
     4918
     4919echo Adding glib-2.0 CFLAGS ${GLIB_CFLAGS}
     4920CFLAGS="${GLIB_CFLAGS} ${CFLAGS}"
     4921echo Adding glib-2.0 LDFLAGS ${GLIB_LIBS}
     4922LDFLAGS="${GLIB_LIBS} ${LDFLAGS}"
    46774923
    46784924FOO=`perl -MExtUtils::Embed -e ccopts`
     
    55345780GREP!$GREP$ac_delim
    55355781EGREP!$EGREP$ac_delim
     5782PKG_CONFIG!$PKG_CONFIG$ac_delim
     5783GLIB_CFLAGS!$GLIB_CFLAGS$ac_delim
     5784GLIB_LIBS!$GLIB_LIBS$ac_delim
    55365785XSUBPPDIR!$XSUBPPDIR$ac_delim
    55375786INSTALL_PROGRAM!$INSTALL_PROGRAM$ac_delim
     
    55435792_ACEOF
    55445793
    5545   if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 54; then
     5794  if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 57; then
    55465795    break
    55475796  elif $ac_last_try; then
  • configure.in

    rdab82f29 r3674002  
    8585AC_CHECK_HEADERS(strings.h sys/ioctl.h sys/filio.h unistd.h com_err.h)
    8686
     87dnl Add CFLAGS and LDFLAGS for glib-2.0
     88PKG_CHECK_MODULES([GLIB],[glib-2.0])
     89
     90echo Adding glib-2.0 CFLAGS ${GLIB_CFLAGS}
     91CFLAGS="${GLIB_CFLAGS} ${CFLAGS}"
     92echo Adding glib-2.0 LDFLAGS ${GLIB_LIBS}
     93LDFLAGS="${GLIB_LIBS} ${LDFLAGS}"
     94
    8795dnl Add CFLAGS for embeded perl
    8896FOO=`perl -MExtUtils::Embed -e ccopts`
  • owl.h

    rfa00c5c r3674002  
    3434#include <signal.h>
    3535#include <termios.h>
     36#include <glib.h>
    3637#include <libfaim/aim.h>
    3738#include "config.h"
     
    4546static const char owl_h_fileIdent[] = "$Id$";
    4647
    47 #define OWL_VERSION         2.1.12
    48 #define OWL_VERSION_STRING "2.1.12"
     48#define OWL_VERSION         2.2.0
     49#define OWL_VERSION_STRING "2.2.0-pre1"
    4950
    5051/* Feature that is being tested to redirect stderr through a pipe.
Note: See TracChangeset for help on using the changeset viewer.